org.apache.http.client.params

## Interface AllClientPNames

- All Superinterfaces:
    AuthPNames ， ClientPNames ， ConnConnectionPNames ， ConnManagerPNames ， ConnRoutePNames ， CookieSpecPNames ， CoreConnectionPNames ， CoreProtocolPNames

  已过时。
  （4.3）使用`RequestConfig` ， `ConnectionConfig` ， `SocketConfig`

      @Deprecated
      public interface AllClientPNames
      extends CoreConnectionPNames, CoreProtocolPNames, ClientPNames, AuthPNames, CookieSpecPNames, ConnConnectionPNames, ConnManagerPNames, ConnRoutePNames

  收集HttpClient模块的参数名称。 该接口将HttpClient模块的参数定义和所有依赖模块或信息单元相结合。 它不定义附加参数名称，但引用定义参数名称的其他接口。

  这个界面是为开发人员提供导航帮助。 当引用参数名称时，应该使用实际定义各个常量的接口。

  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.params.CoreConnectionPNames

      `CONNECTION_TIMEOUT, MAX_HEADER_COUNT, MAX_LINE_LENGTH, MIN_CHUNK_LIMIT, SO_KEEPALIVE, SO_LINGER, SO_REUSEADDR, SO_TIMEOUT, SOCKET_BUFFER_SIZE, STALE_CONNECTION_CHECK, TCP_NODELAY`

    - ### Fields inherited from interface org.apache.http.params.CoreProtocolPNames

      `HTTP_CONTENT_CHARSET, HTTP_ELEMENT_CHARSET, HTTP_MALFORMED_INPUT_ACTION, HTTP_UNMAPPABLE_INPUT_ACTION, ORIGIN_SERVER, PROTOCOL_VERSION, STRICT_TRANSFER_ENCODING, USE_EXPECT_CONTINUE, USER_AGENT, WAIT_FOR_CONTINUE`

    - ### Fields inherited from interface org.apache.http.client.params.ClientPNames

      `ALLOW_CIRCULAR_REDIRECTS, CONN_MANAGER_TIMEOUT, CONNECTION_MANAGER_FACTORY_CLASS_NAME, COOKIE_POLICY, DEFAULT_HEADERS, DEFAULT_HOST, HANDLE_AUTHENTICATION, HANDLE_REDIRECTS, MAX_REDIRECTS, REJECT_RELATIVE_REDIRECT, VIRTUAL_HOST`

    - ### Fields inherited from interface org.apache.http.auth.params.AuthPNames

      `CREDENTIAL_CHARSET, PROXY_AUTH_PREF, TARGET_AUTH_PREF`

    - ### Fields inherited from interface org.apache.http.cookie.params.CookieSpecPNames

      `DATE_PATTERNS, SINGLE_COOKIE_HEADER`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnConnectionPNames

      `MAX_STATUS_LINE_GARBAGE`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnManagerPNames

      `MAX_CONNECTIONS_PER_ROUTE, MAX_TOTAL_CONNECTIONS, TIMEOUT`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnRoutePNames

      `DEFAULT_PROXY, FORCED_ROUTE, LOCAL_ADDRESS`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585